<?php

namespace App\Policies;

use App\Models\User;

class TaskPolicy
{
    public function view(User $user): bool
    {
        return $user->hasPermission('view_tasks');
    }

    public function create(User $user): bool
    {
        return $user->hasPermission('create_tasks');
    }

    public function update(User $user): bool
    {
        return $user->hasPermission('edit_tasks');
    }

    public function delete(User $user): bool
    {
        return $user->hasPermission('delete_tasks');
    }
}
